Page MenuHomePhabricator

Add namespace aliases on zhwiktionary
Closed, ResolvedPublic

Description

Please set these namespace aliases on zhwiktionary:
(namespace 100)

  • Appendix → 附录
  • 附錄 → 附录

(namespace 101)

  • Appendix_talk → 附录讨论
  • 附錄討論 → 附录讨论

Discussion: here.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2019, 11:23 PM
DannyS712 added a project: User-DannyS712.

Change 506892 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[operations/mediawiki-config@master] Add namespace aliases on zhwiktionary

https://gerrit.wikimedia.org/r/506892

DannyS712 moved this task from Unsorted to Pending on the User-DannyS712 board.Apr 28 2019, 2:28 AM

Any idea when this might be deployed?

Before it can get deployed on servers, the proposed change needs to be accepted (someone with rights has to say +2 in Gerrit) and merged into the codebase. Also see https://www.mediawiki.org/wiki/Gerrit/Code_review/Getting_reviews . Wikimedia in general has room for improvement when it comes to code review, yeah. :-/

Yes, I was just wondering if I could speedy up the wait for the +2

Site configuration changes and code changes are a bit different. Site configuration patch usually +2 by SWAT. This requires you to manually schedule a window to your patch. More help.

@RazeSoldier I'm not really sure how to do that, even after reading the docs, nor would I be comfortable trying it

This comment was removed by RazeSoldier.

I just don't use IRC much, and it appears to be a requirement for SWAT deployments

I just don't use IRC much, and it appears to be a requirement for SWAT deployments

This should be the part of DevOps. Dev can help ops deploy patch.

I just don't use IRC much, and it appears to be a requirement for SWAT deployments

This should be the part of DevOps. Dev can help ops deploy patch.

How do I get that help?

I will schedule patch for SWAT @DannyS712.

Sorry for taking much time to do this, but because of personal things to do in real life I wasn't active on Wikimedia projects.

I scheduled this Wednesday, May 29 for European Mid-day SWAT.

Zoranzoki21 triaged this task as Normal priority.Mon, May 27, 9:03 PM

Change 506892 merged by jenkins-bot:
[operations/mediawiki-config@master] Add namespace aliases on zhwiktionary

https://gerrit.wikimedia.org/r/506892

Mentioned in SAL (#wikimedia-operations) [2019-05-29T11:08:22Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [[:gerrit:506892|Add namespace aliases on zhwiktionary]] (T222024) (duration: 00m 57s)

Urbanecm closed this task as Resolved.Wed, May 29, 11:09 AM
DannyS712 moved this task from Pending to Merged on the User-DannyS712 board.Thu, May 30, 7:53 AM